Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » EXFLASH » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_exflash_init (void)
| Initialize the exFlash according to the specified parameters in the exflash_init_t and initialize the associated handle. More...
hal_status_t | hal_exflash_deinit (void)
| De-initialize the exFlash peripheral. More...
void | hal_exflash_msp_init (void)
| Initialize the exFlash MSP. More...
void | hal_exflash_msp_deinit (void)
| De-initialize the exFlash MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the exFlash peripheral:

          (+) User must implement hal_exflash_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_exflash_deinit() to restore the default configuration
              of the selected exFlash peripheral.

## Function Documentation

## ◆ hal_exflash_deinit()

hal_status_t hal_exflash_deinit | ( | void |  | ) |

De-initialize the exFlash peripheral.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_exflash_init()

hal_status_t hal_exflash_init | ( | void |  | ) |

Initialize the exFlash according to the specified parameters in the exflash_init_t and initialize the associated handle.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_exflash_msp_deinit()

void hal_exflash_msp_deinit | ( | void |  | ) |

De-initialize the exFlash MSP.

Note
  This function should not be modified. When the callback is needed, the hal_exflash_msp_deinit can be implemented in the user file.

## ◆ hal_exflash_msp_init()

void hal_exflash_msp_init | ( | void |  | ) |

Initialize the exFlash MSP.

Note
  This function should not be modified. When the callback is needed, the hal_exflash_msp_init can be implemented in the user file.